.Dd 2016-06-12
.Dt NCI-EDIT-ASSIGNMENT 1
.Os
.Sh NAME
.Nm nci-edit-assignment
.Nd Edit an existing assignment in a Canvas installation
.Sh SYNOPSIS
.Nm
.Fl c
.Ar course-id
.Fl a
.Ar assignment-id
.Oo
.Fl n
.Ar name
.Oc
.Oo
.Fl m
.Ar max-points
.Oc
.Oo
.Fl d
.Ar due-date
.Oc
.Oo
.Fl g
.Ar group-id
.Oc
.Sh DESCRIPTION
.Nm
connects to a Canvas installation as described at
.Xr nci 1
and applies the given parameters to the specified assignment. If a
parameter is not given, that field of the asignment will be left
unchanged.
.Pp
See
.Xr nci-create-assignment 1
for details on some unconfigurable parameters of the Canvas object.
.Sh OPTIONS
See
.Xr nci-create-assignment 1
for detailed descriptions of the parameters.
.Pp
.Bl -tag -width Ds
.It Fl c
The
.Ar course-id ,
as returned by
.Xr nci-list-courses 1 .
.It Fl a
The
.Ar assignment-id
as returned by
.Xr nci-list-assignments 1 .
.It Fl n
Set the new name of the assignment.
.It Fl m
Set the new maximum points of this assignment.
.It Fl d
Set the date at which this assignment will be shown as due.
.It Fl g
Set the assignment group to which this assignment is associated.
.El
.Sh EXAMPLES
.Dl % nci-edit-assignment -c 1187637 -a 400395381 -g 1560872 -n "HW 01" -m 10 -d 2020-09-04T12:00:00
.Pp
.Dl % nci-edit-assignment -c 1187637 -a 400395381 -n "HW 02"
.Pp
.Dl % nci-edit-assignment -c 1187637 -a 400395381 -m 30.5
.Sh SEE ALSO
.Xr nci 1
.Xr nci-create-assignment 1
.Xr nci-delete-assignment 1
.Xr nci-list-courses 1
.Sh AUTHORS
.An S. Gilles Aq Mt sgilles@math.umd.edu
